Get ACH payment
curl --request GET \
--url https://api.natural.com/ach/{achId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/ach/{achId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/ach/{achId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/ach/{achId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/ach/{achId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/ach/{achId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/ach/{achId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "ach",
"id": "ach_019cd1798d838f575681880edfaa4c6f",
"attributes": {
"direction": "credit",
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 25,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "PROCESSING",
"companyEntryDescription": "PAYOUT",
"internalDescription": "July contractor payout, ledger 1042",
"addenda": "Invoice 1042, July services",
"secCode": "PPD",
"submittedDescriptor": {
"companyName": "Acme Payments",
"companyEntryDescription": "PAYOUT"
},
"traceNumber": null,
"failure": null,
"return": null,
"submittedAt": "2026-08-04T15:30:00.000Z",
"settledAt": null,
"expectedAvailableAt": "2026-08-05T14:00:00.000Z",
"terminalAt": null,
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T15:30:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}Direct: ACH
Get ACH payment
Get one of your party’s ACH payments. An ID that is not yours, or that you cannot read, returns 404, not 403. Returns the ACH object.
GET
/
ach
/
{achId}
Get ACH payment
curl --request GET \
--url https://api.natural.com/ach/{achId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/ach/{achId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/ach/{achId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/ach/{achId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/ach/{achId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/ach/{achId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/ach/{achId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"type": "ach",
"id": "ach_019cd1798d838f575681880edfaa4c6f",
"attributes": {
"direction": "credit",
"amount": 25000,
"currency": "USD",
"fee": {
"amount": 25,
"currency": "USD",
"payer": "sender",
"applied": "on_top"
},
"status": "PROCESSING",
"companyEntryDescription": "PAYOUT",
"internalDescription": "July contractor payout, ledger 1042",
"addenda": "Invoice 1042, July services",
"secCode": "PPD",
"submittedDescriptor": {
"companyName": "Acme Payments",
"companyEntryDescription": "PAYOUT"
},
"traceNumber": null,
"failure": null,
"return": null,
"submittedAt": "2026-08-04T15:30:00.000Z",
"settledAt": null,
"expectedAvailableAt": "2026-08-05T14:00:00.000Z",
"terminalAt": null,
"createdAt": "2026-08-04T15:30:00.000Z",
"updatedAt": "2026-08-04T15:30:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": null
},
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"externalParty": {
"data": {
"type": "externalParty",
"id": "epty_019cd1798d8d6873421613705e3c1415"
}
},
"externalPartyAccount": {
"data": {
"type": "externalPartyAccount",
"id": "epa_019cd1798d8e5a2f8ceb96020cc3991a"
}
}
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?